package models

//二级仓库
type Storehouse struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	StorehouseCode    string `gorm:"column:storehouse_code" json:"storehouse_code" form:"storehouse_code"`             //仓库编号
	StorehouseName    string `gorm:"column:storehouse_name" json:"storehouse_name" form:"storehouse_name"`             //仓库名称
	StorehouseAddress string `gorm:"column:storehouse_address" json:"storehouse_address" form:"storehouse_address"`    //仓库地址
	StorehouseStatus  int64  `gorm:"column:storehouse_status" json:"storehouse_status" form:"storehouse_status"`       //仓库状态
	Status            int64  `gorm:"column:status" json:"status" form:"status"`                                        //数据状态
	StorehouseAdminId int64  `gorm:"column:storehouse_admin_id" json:"storehouse_admin_id" form:"storehouse_admin_id"` //仓库管理员id
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (Storehouse) TableName() string {
	return "xt_storehouse"
}

//仓库配置
type StorehouseConfig struct {
	ID                 int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`                         //机构id
	StorehouseInfo     int64 `gorm:"column:storehouse_info" json:"storehouse_info" form:"storehouse_info"`             //耗材 自动入库 的仓库id
	StorehouseOutInfo  int64 `gorm:"column:storehouse_out_info" json:"storehouse_out_info" form:"storehouse_out_info"` //耗材 自动出库 的仓库id
	DrugStorehouseInfo int64 `gorm:"drug_storehouse_info" json:"drug_storehouse_info" form:"drug_storehouse_info"`     //药品 自动入库 的仓库id
	DrugStorehouseOut  int64 `gorm:"drug_storehouse_out" json:"drug_storehouse_out" form:"drug_storehouse_out"`        //药品 自动出库 的仓库id
	Status             int64 `gorm:"status" json:"status" form:"status"`
	Ctime              int64 `gorm:"ctime" json:"ctime" form:"ctime"`
	Mtime              int64 `gorm:"mtime" json:"mtime" form:"mtime"`
}

func (StorehouseConfig) TableName() string {
	return "xt_storehouse_config"
}

type App_Role_byli struct {
	Id          int64  `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserName    string `gorm:"column:user_name" json:"user_name"` // 用户名称
}

func (App_Role_byli) TableName() string {
	return "sgj_users.sgj_user_admin_role"
}

type UserOrg struct {
	Id      int64 `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"`
	Creator int64 `gorm:"column:creator" json:"creator"`
}

func (UserOrg) TableName() string {
	return "sgj_users.sgj_user_org"
}

//分页
type Storehouselist struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	StorehouseCode      string `gorm:"column:storehouse_code" json:"storehouse_code" form:"storehouse_code"`                 //仓库编号
	StorehouseName      string `gorm:"column:storehouse_name" json:"storehouse_name" form:"storehouse_name"`                 //仓库名称
	StorehouseAddress   string `gorm:"column:storehouse_address" json:"storehouse_address" form:"storehouse_address"`        //仓库地址
	StorehouseStatus    int64  `gorm:"column:storehouse_status" json:"storehouse_status" form:"storehouse_status"`           //仓库状态
	Status              int64  `gorm:"column:status" json:"status" form:"status"`                                            //数据状态
	StorehouseAdminId   int64  `gorm:"column:storehouse_admin_id" json:"storehouse_admin_id" form:"storehouse_admin_id"`     //仓库管理员id
	StorehouseAdminName string `gorm:"column:storehouse_admin_name" json:"storehouse_admin_name" form:"storehouse_admin_id"` //仓库管理员名字
	UserOrgId           int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime               int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime               int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

type RolePurviews struct {
	Id         int64 `gorm:"PRIMARY_KEY;AUTO_INCREMENT"`
	RoleId     int64
	OrgId      int64
	AppId      int64
	PurviewIds string `gorm:"column:purview_ids"`
	Status     int8   // 状态 0.无效 1.有效 2.禁用
	CreateTime int64  `gorm:"column:ctime"` // 创建时间
	ModifyTime int64  `gorm:"column:mtime"` // 修改时间
	Role       Role   `gorm:"ForeignKey:RoleId;AssociationForeignKey:ID" json:"role_info"`
}

func (RolePurviews) TableName() string {
	return "sgj_users.sgj_user_role_purview"
}
